<!DOCTYPE HTML>
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<title>moda</title>
<script src="../../../../../scripts/jquery-1.12.0.min.js" type="text/javascript"></script>
<script src="../../../../../scripts/bootstrap.min.js" type="text/javascript"></script>
<script src="../../../../../scripts/clipboard.min.js" type="text/javascript"></script>
<script src="../../../../../scripts/main.js" type="text/javascript"></script>
<link rel="stylesheet" href="../../../../../styles/bootstrap/Bootstrap.css" type="text/css">
<link rel="stylesheet" href="../../../../../styles/main.css" type="text/css">
</head>
<body>
  <div class="page-wrap">
    <div class="header">
      <div class="row">
        <div class="col-xs-8">
          <ol class="breadcrumb">
            <li><a href="../../../../../startpage.html" data-mapping-enabled="true">Project</a></li>
            <li><a href="../../../../../Servers\Servers.html" data-mapping-enabled="true">Servers</a></li>
            <li><a href="../../../../../Servers\servidor_mio\servidor_mio.html" data-mapping-enabled="true">servidor mio</a></li>
            <li><a href="../../../../../Servers\servidor_mio\Databases\Databases.html" data-mapping-enabled="true">Databases</a></li>
            <li><a href="../../../../../Servers\servidor_mio\Databases\ejemplosprogramacion3\ejemplosprogramacion3.html" data-mapping-enabled="true">ejemplosprogramacion3</a></li>
            <li><a href="../../../../../Servers\servidor_mio\Databases\ejemplosprogramacion3\Functions\Functions.html" data-mapping-enabled="true">Functions</a></li>
            <li class="active">moda</li>
          </ol>
        </div>
        <div class="align-right col-xs-4">Unidad 3 Modulo 3</div>
      </div>
      <div class="row">
        <div class="title col-xs-12">
          <div><img class="inline-middle image-large" src="../../../../../images/function.svg" title="moda" />
            <h1 class="inline-middle">moda</h1>
            <div class="dropdown actions-btn-wrap">
              <button type="button" class="btn btn-default actions-btn" data-toggle="dropdown"><span class="icon-actions icon-small actions-btn-span"></span></button>
              <ul class="dropdown-menu dropdown-menu-right">
                <li><a id="CollapseAll" href="#">Collapse All</a></li>
                <li><a id="ExpandAll" href="#">Expand All</a></li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="content">
      <div id="Description" class="panel panel-default">
        <div class="panel-heading">
          <span class="icon-bottom inline-middle expanded icon-small"></span>
          <span class="icon-right inline-middle collapsed icon-small" style="display:none"></span>
          <h2 class="inline-middle">Description</h2>
        </div>
        <div class="panel-collapse collapse in">
          <div class="panel-body">
            <span> Calcula la moda de 4 numeros pasados como argumentos</span>
          </div>
        </div>
      </div>
      <div class="panel panel-default">
        <div class="panel-heading">
          <span class="icon-bottom inline-middle expanded icon-small"></span>
          <span class="icon-right inline-middle collapsed icon-small" style="display:none"></span>
          <h2 class="inline-middle">Properties</h2>
        </div>
        <div class="panel-collapse collapse in">
          <div class="panel-body">
            <table class="table table-hover table-bordered">
              <tbody>
                <tr>
                  <th>Name</th>
                  <th>Value</th>
                </tr>
                <tr>
                  <td>SQL Mode</td>
                  <td>NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION</td>
                </tr>
                <tr>
                  <td>Created</td>
                  <td>15/02/2019 14:14:29</td>
                </tr>
                <tr>
                  <td>Last Modified</td>
                  <td>15/02/2019 14:14:29</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div id="Parameters" class="panel panel-default">
        <div class="panel-heading">
          <span class="icon-bottom inline-middle expanded icon-small"></span>
          <span class="icon-right inline-middle collapsed icon-small" style="display:none"></span>
          <h2 class="inline-middle">Parameters</h2>
        </div>
        <div class="panel-collapse collapse in">
          <div class="panel-body">
            <table class="table table-hover table-bordered table-100">
              <tbody>
                <tr>
                  <th>Name</th>
                  <th>Data Type</th>
                  <th>Length</th>
                  <th>Precision</th>
                  <th>Scale</th>
                </tr>
                <tr>
                  <td>(Result)</td>
                  <td>INT</td>
                  <td></td>
                  <td>11</td>
                  <td>0</td>
                </tr>
                <tr>
                  <td>n1</td>
                  <td>INT</td>
                  <td></td>
                  <td>11</td>
                  <td>0</td>
                </tr>
                <tr>
                  <td>n2</td>
                  <td>INT</td>
                  <td></td>
                  <td>11</td>
                  <td>0</td>
                </tr>
                <tr>
                  <td>n3</td>
                  <td>INT</td>
                  <td></td>
                  <td>11</td>
                  <td>0</td>
                </tr>
                <tr>
                  <td>n4</td>
                  <td>INT</td>
                  <td></td>
                  <td>11</td>
                  <td>0</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div id="SqlScript" class="panel panel-default">
        <div class="panel-heading">
          <span class="icon-bottom inline-middle expanded icon-small"></span>
          <span class="icon-right inline-middle collapsed icon-small" style="display:none"></span>
          <h2 class="inline-middle">SQL Script</h2>
        </div>
        <div class="panel-collapse collapse in">
          <div class="panel-body">
            <div class="zero-clipboard">
              <span class="btn-clipboard btn-default panel-default" data-clipboard-action="copy" data-clipboard-target=".sqlscript" data-toggle="tooltip" title="Copy to clipboard">Copy</span></div><div class="sqlscript panel-default">
              <font color="buttontext">DELIMITER $$</font><br><font color="Blue">CREATE</font>&nbsp;<font color="Blue">DEFINER</font>&nbsp;<font color="buttontext">=</font>&nbsp;<font color="Teal">'root'</font><font color="buttontext">@'localhost'</font><br><font color="Blue">FUNCTION</font>&nbsp;<font color="buttontext">moda</font><font color="buttontext">(</font><font color="buttontext">n1</font>&nbsp;<font color="Blue">INT</font><font color="buttontext">,</font>&nbsp;<font color="buttontext">n2</font>&nbsp;<font color="Blue">INT</font><font color="buttontext">,</font>&nbsp;<font color="buttontext">n3</font>&nbsp;<font color="Blue">INT</font><font color="buttontext">,</font>&nbsp;<font color="buttontext">n4</font>&nbsp;<font color="Blue">INT</font><font color="buttontext">)</font><br>&nbsp;&nbsp;<font color="Blue">RETURNS</font>&nbsp;<font color="Blue">INT</font><font color="buttontext">(</font><font color="Green">11</font><font color="buttontext">)</font><br>&nbsp;&nbsp;<font color="Blue">COMMENT</font>&nbsp;<font color="Teal">' Calcula la moda de 4 numeros pasados como argumentos'</font><br><font color="Blue">BEGIN</font><br>&nbsp;&nbsp;<font color="Blue">DECLARE</font>&nbsp;<font color="buttontext">r</font>&nbsp;<font color="Blue">int</font><font color="buttontext">;</font><br>&nbsp;&nbsp;<font color="Blue">CREATE</font>&nbsp;<font color="Blue">OR</font>&nbsp;<font color="Blue">REPLACE</font>&nbsp;<font color="Blue">TEMPORARY</font>&nbsp;<font color="Blue">TABLE</font>&nbsp;<font color="buttontext">temp</font><font color="buttontext">(</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="buttontext">id</font>&nbsp;<font color="Blue">int</font>&nbsp;<font color="Blue">AUTO_INCREMENT</font><font color="buttontext">,</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="buttontext">valor</font>&nbsp;<font color="Blue">int</font><font color="buttontext">,</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="Blue">PRIMARY</font>&nbsp;<font color="Blue">KEY</font>&nbsp;<font color="buttontext">(</font><font color="buttontext">id</font><font color="buttontext">)</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="buttontext">)</font><font color="buttontext">;</font><br>&nbsp;&nbsp;<font color="Blue">INSERT</font>&nbsp;<font color="Blue">INTO</font>&nbsp;<font color="buttontext">temp</font><font color="buttontext">(</font><font color="buttontext">valor</font><font color="buttontext">)</font>&nbsp;<font color="Blue">VALUES</font>&nbsp;<font color="buttontext">(</font><font color="buttontext">n1</font><font color="buttontext">)</font><font color="buttontext">,</font><font color="buttontext">(</font><font color="buttontext">n2</font><font color="buttontext">)</font><font color="buttontext">,</font><font color="buttontext">(</font><font color="buttontext">n3</font><font color="buttontext">)</font><font color="buttontext">,</font><font color="buttontext">(</font><font color="buttontext">n4</font><font color="buttontext">)</font><font color="buttontext">;</font><br>&nbsp;&nbsp;<font color="Blue">SELECT</font>&nbsp;<font color="buttontext">valor</font>&nbsp;<font color="Blue">INTO</font>&nbsp;<font color="buttontext">r</font>&nbsp;<font color="Blue">FROM</font>&nbsp;<font color="buttontext">temp</font>&nbsp;<br>&nbsp;&nbsp;<font color="Blue">GROUP</font>&nbsp;<font color="Blue">BY</font>&nbsp;<font color="buttontext">valor</font><br>&nbsp;&nbsp;<font color="Blue">ORDER</font>&nbsp;<font color="Blue">BY</font>&nbsp;<font color="Maroon">COUNT</font><font color="buttontext">(</font><font color="buttontext">*</font><font color="buttontext">)</font>&nbsp;<font color="Blue">DESC</font>&nbsp;<font color="Blue">LIMIT</font>&nbsp;<font color="Green">1</font><font color="buttontext">;</font><br>&nbsp;&nbsp;<br>&nbsp;&nbsp;&nbsp;&nbsp;<br>&nbsp;&nbsp;<font color="Blue">RETURN</font>&nbsp;<font color="buttontext">r</font><font color="buttontext">;</font><br><font color="Blue">END</font><br><font color="buttontext">$$</font><br><font color="buttontext">DELIMITER ;</font></div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="footer">
    <div class="col-xs-4">Author:&nbsp;Ramon Abramo</div>
    <div class="col-xs-4 align-center">Alpe Formacion</div>
    <div class="col-xs-4 align-right">Created:&nbsp;15/02/2019</div>
  </div>
</body>
</html>